Subject: Re: [PATCH] Allow building GIT in a different directory from the source directory

From: Han-Wen Nienhuys <[email-masked]>
Date: Tue, 12 Dec 2006 12:50:55 +0100

Junio C Hamano escreveu:
> Han-Wen Nienhuys <[email-masked]> writes:
> 
>> GIT can now be built in a separate builddirectory. This is done as
>> follows:
>>
>>   mkdir build
>>   cd build
>>   $my_git_dir/configure
>>   make
> 
> Somehow making this depend on the use of configure feels wrong,
> since we tried to keep that config.mak.gen built by configure
> strictly optional.  In other words, I think the result of your
> patch should be buildable with or without ./configure in a
> separate directory if we are going to do this.
> 
> Care to explain why it is too cumbersome to handle without
> ./configure magic?

I already tried to explain in a previous thread on the list. 
See 

  http://article.gmane.org/gmane.comp.version-control.git/33487
  
you can still build git in the same directory as source 
without using autoconf, and plain make.

If you insist, I can create a separate

  setup-builddir.sh

to setup the build directory; according to the principle of least
surprise, it should happen in the configure script though.

I still don't understand the problem with autoconf; there are already
plenty of baroque shell scripts in GIT.  I hate writing m4 macros as
well, but that's not a problem for GIT users (ie. people who compile
GIT).

For them, 

  ./configure ; make ; make check ; make install

is actually the standard way to compile stuff.

--